<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>16.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{767deb03-128b-4ebd-a48a-524be15184ea}</ProjectGuid>
    <RootNamespace>SpineLib</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)lib\spine</OutDir>
    <TargetName>SpineLib_d</TargetName>
    <IntDir>$(SolutionDir)obj\$(Configuration)\$(Platform)\spine</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)lib\spine</OutDir>
    <TargetName>SpineLib</TargetName>
    <IntDir>$(SolutionDir)obj\$(Configuration)\$(Platform)\spine</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>
      </SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>
      </SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpp14</LanguageStandard>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>
      </SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>NDEBUG;_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <LanguageStandard>stdcpp14</LanguageStandard>
    </ClCompile>
    <Link>
      <SubSystem>
      </SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="spine\Animation.cpp" />
    <ClCompile Include="spine\AnimationState.cpp" />
    <ClCompile Include="spine\AnimationStateData.cpp" />
    <ClCompile Include="spine\Atlas.cpp" />
    <ClCompile Include="spine\AtlasAttachmentLoader.cpp" />
    <ClCompile Include="spine\Attachment.cpp" />
    <ClCompile Include="spine\AttachmentLoader.cpp" />
    <ClCompile Include="spine\AttachmentTimeline.cpp" />
    <ClCompile Include="spine\Bone.cpp" />
    <ClCompile Include="spine\BoneData.cpp" />
    <ClCompile Include="spine\BoundingBoxAttachment.cpp" />
    <ClCompile Include="spine\ClippingAttachment.cpp" />
    <ClCompile Include="spine\ColorTimeline.cpp" />
    <ClCompile Include="spine\ConstraintData.cpp" />
    <ClCompile Include="spine\CurveTimeline.cpp" />
    <ClCompile Include="spine\DeformTimeline.cpp" />
    <ClCompile Include="spine\DrawOrderTimeline.cpp" />
    <ClCompile Include="spine\Event.cpp" />
    <ClCompile Include="spine\EventData.cpp" />
    <ClCompile Include="spine\EventTimeline.cpp" />
    <ClCompile Include="spine\Extension.cpp" />
    <ClCompile Include="spine\IkConstraint.cpp" />
    <ClCompile Include="spine\IkConstraintData.cpp" />
    <ClCompile Include="spine\IkConstraintTimeline.cpp" />
    <ClCompile Include="spine\Json.cpp" />
    <ClCompile Include="spine\LinkedMesh.cpp" />
    <ClCompile Include="spine\MathUtil.cpp" />
    <ClCompile Include="spine\MeshAttachment.cpp" />
    <ClCompile Include="spine\PathAttachment.cpp" />
    <ClCompile Include="spine\PathConstraint.cpp" />
    <ClCompile Include="spine\PathConstraintData.cpp" />
    <ClCompile Include="spine\PathConstraintMixTimeline.cpp" />
    <ClCompile Include="spine\PathConstraintPositionTimeline.cpp" />
    <ClCompile Include="spine\PathConstraintSpacingTimeline.cpp" />
    <ClCompile Include="spine\PointAttachment.cpp" />
    <ClCompile Include="spine\RegionAttachment.cpp" />
    <ClCompile Include="spine\RotateTimeline.cpp" />
    <ClCompile Include="spine\RTTI.cpp" />
    <ClCompile Include="spine\ScaleTimeline.cpp" />
    <ClCompile Include="spine\ShearTimeline.cpp" />
    <ClCompile Include="spine\Skeleton.cpp" />
    <ClCompile Include="spine\SkeletonBinary.cpp" />
    <ClCompile Include="spine\SkeletonBounds.cpp" />
    <ClCompile Include="spine\SkeletonClipping.cpp" />
    <ClCompile Include="spine\SkeletonData.cpp" />
    <ClCompile Include="spine\SkeletonJson.cpp" />
    <ClCompile Include="spine\Skin.cpp" />
    <ClCompile Include="spine\Slot.cpp" />
    <ClCompile Include="spine\SlotData.cpp" />
    <ClCompile Include="spine\SpineObject.cpp" />
    <ClCompile Include="spine\TextureLoader.cpp" />
    <ClCompile Include="spine\Timeline.cpp" />
    <ClCompile Include="spine\TransformConstraint.cpp" />
    <ClCompile Include="spine\TransformConstraintData.cpp" />
    <ClCompile Include="spine\TransformConstraintTimeline.cpp" />
    <ClCompile Include="spine\TranslateTimeline.cpp" />
    <ClCompile Include="spine\Triangulator.cpp" />
    <ClCompile Include="spine\TwoColorTimeline.cpp" />
    <ClCompile Include="spine\Updatable.cpp" />
    <ClCompile Include="spine\VertexAttachment.cpp" />
    <ClCompile Include="spine\VertexEffect.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="spine\Animation.h" />
    <ClInclude Include="spine\AnimationState.h" />
    <ClInclude Include="spine\AnimationStateData.h" />
    <ClInclude Include="spine\Atlas.h" />
    <ClInclude Include="spine\AtlasAttachmentLoader.h" />
    <ClInclude Include="spine\Attachment.h" />
    <ClInclude Include="spine\AttachmentLoader.h" />
    <ClInclude Include="spine\AttachmentTimeline.h" />
    <ClInclude Include="spine\AttachmentType.h" />
    <ClInclude Include="spine\BlendMode.h" />
    <ClInclude Include="spine\Bone.h" />
    <ClInclude Include="spine\BoneData.h" />
    <ClInclude Include="spine\BoundingBoxAttachment.h" />
    <ClInclude Include="spine\ClippingAttachment.h" />
    <ClInclude Include="spine\Color.h" />
    <ClInclude Include="spine\ColorTimeline.h" />
    <ClInclude Include="spine\ConstraintData.h" />
    <ClInclude Include="spine\ContainerUtil.h" />
    <ClInclude Include="spine\CurveTimeline.h" />
    <ClInclude Include="spine\Debug.h" />
    <ClInclude Include="spine\DeformTimeline.h" />
    <ClInclude Include="spine\dll.h" />
    <ClInclude Include="spine\DrawOrderTimeline.h" />
    <ClInclude Include="spine\Event.h" />
    <ClInclude Include="spine\EventData.h" />
    <ClInclude Include="spine\EventTimeline.h" />
    <ClInclude Include="spine\Extension.h" />
    <ClInclude Include="spine\HashMap.h" />
    <ClInclude Include="spine\HasRendererObject.h" />
    <ClInclude Include="spine\IkConstraint.h" />
    <ClInclude Include="spine\IkConstraintData.h" />
    <ClInclude Include="spine\IkConstraintTimeline.h" />
    <ClInclude Include="spine\Json.h" />
    <ClInclude Include="spine\LinkedMesh.h" />
    <ClInclude Include="spine\MathUtil.h" />
    <ClInclude Include="spine\MeshAttachment.h" />
    <ClInclude Include="spine\MixBlend.h" />
    <ClInclude Include="spine\MixDirection.h" />
    <ClInclude Include="spine\PathAttachment.h" />
    <ClInclude Include="spine\PathConstraint.h" />
    <ClInclude Include="spine\PathConstraintData.h" />
    <ClInclude Include="spine\PathConstraintMixTimeline.h" />
    <ClInclude Include="spine\PathConstraintPositionTimeline.h" />
    <ClInclude Include="spine\PathConstraintSpacingTimeline.h" />
    <ClInclude Include="spine\PointAttachment.h" />
    <ClInclude Include="spine\Pool.h" />
    <ClInclude Include="spine\PositionMode.h" />
    <ClInclude Include="spine\RegionAttachment.h" />
    <ClInclude Include="spine\RotateMode.h" />
    <ClInclude Include="spine\RotateTimeline.h" />
    <ClInclude Include="spine\RTTI.h" />
    <ClInclude Include="spine\ScaleTimeline.h" />
    <ClInclude Include="spine\ShearTimeline.h" />
    <ClInclude Include="spine\Skeleton.h" />
    <ClInclude Include="spine\SkeletonBinary.h" />
    <ClInclude Include="spine\SkeletonBounds.h" />
    <ClInclude Include="spine\SkeletonClipping.h" />
    <ClInclude Include="spine\SkeletonData.h" />
    <ClInclude Include="spine\SkeletonJson.h" />
    <ClInclude Include="spine\Skin.h" />
    <ClInclude Include="spine\Slot.h" />
    <ClInclude Include="spine\SlotData.h" />
    <ClInclude Include="spine\SpacingMode.h" />
    <ClInclude Include="spine\spine.h" />
    <ClInclude Include="spine\SpineObject.h" />
    <ClInclude Include="spine\SpineString.h" />
    <ClInclude Include="spine\TextureLoader.h" />
    <ClInclude Include="spine\Timeline.h" />
    <ClInclude Include="spine\TimelineType.h" />
    <ClInclude Include="spine\TransformConstraint.h" />
    <ClInclude Include="spine\TransformConstraintData.h" />
    <ClInclude Include="spine\TransformConstraintTimeline.h" />
    <ClInclude Include="spine\TransformMode.h" />
    <ClInclude Include="spine\TranslateTimeline.h" />
    <ClInclude Include="spine\Triangulator.h" />
    <ClInclude Include="spine\TwoColorTimeline.h" />
    <ClInclude Include="spine\Updatable.h" />
    <ClInclude Include="spine\Vector.h" />
    <ClInclude Include="spine\VertexAttachment.h" />
    <ClInclude Include="spine\VertexEffect.h" />
    <ClInclude Include="spine\Vertices.h" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="spine\spine-cpp-version3.8.95.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>